package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SystemYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: DongZeLiang
 * @date: 2024/7/31
 * @Description: 是否系统字典的校验器
 * @Version: 1.0
 */
public class SystemYsNoValidator implements ConstraintValidator<IsSystemYesNo, String> {
    @Override
    public boolean isValid (String value, ConstraintValidatorContext constraintValidatorContext) {
        return SystemYesNo.isCode(value);
    }
}
